frsky uk forumA self-help group for anyone having problems or indeed anybody that can help with FrSKY products.
FRSKY in a complete...
 
Notifications
Clear all

FRSKY in a complete mess! (or is it me?)  

  RSS
Spadeadam
(@spadeadam)
Active Member

Frsky recently advised us all to update our ACCST transmitters/receivers/modules to version 2.x.x (latest is 2.1.0)

I updated my X9D+SE to opentx 2.3.5 and my X8R/RX6R receivers to the latest ACCST 2.1.0....all worked well and bind without any problems.

I now have a shiney new X9D+SE 2019 transmitter and have updated it to the latest firmware - opentx 2.3.5 and the internal module to ISRM 1.1.3

I now cannot bind this new transmitter to my X8R and RX6R receivers running their latest ACCST firmware 2.1.0

I have flashed the receivers with the previous ACCST version 2.0.1....still cannot bind

I flashed the receivers with even older firmware (X8R FW20180322 and RX6R FW180516) and now they bind to the X9D+ SE 2019, BUT the original X9D+ SE does not bind to the X8R or RX6R receivers running the older firmware!

Frsky, what is happening! or am I being stupid and missing something?

PS I have also tried this using the latest opentx 2.3.6 and I have tried both EU-LBT and FCC firmware and have switch versions using ISRM lua script

Quote
Posted : 28/03/2020 10:43 am
Cliff
(@cliff)
Admin Admin

They have not updated the Access systems.  That is probably what the problem is.

ReplyQuote
Posted : 28/03/2020 11:10 am
Spadeadam
(@spadeadam)
Active Member
Posted by: @cliff

They have not updated the Access systems.  That is probably what the problem is.

I am referring to ACCST not ACCESS

The X8R receivers, as far as I know, cannot be flashed to use ACCESS only ACCST

 

ReplyQuote
Posted : 28/03/2020 11:35 am
Cliff
(@cliff)
Admin Admin

I would flash it all back to a previous version.

 

ReplyQuote
Posted : 28/03/2020 11:56 am
Spadeadam
(@spadeadam)
Active Member
Posted by: @cliff

I would flash it all back to a previous version.

 

As per the Announcement section of this forum and Frsky website:-

 

Anyone using the ACCST system should read and update all recommended units.

https://www.frsky-rc.com/important-firmware-update-accst-d16/?fbclid=IwAR2apYfRH-48SM1kMDCwP0_HA1bkaq4OLOe6DyO6PBQuJkqlqemepsS1QZY

 

I do not mind what firmware Frsky come up with as long as it is stable/safe and it works with my X9D+ and X9D+ 2019 transmitters and all my X8R and RX6R receivers without having to re-flash them every time with different versions of firmware depending on which Tx/Rx combo I use....Simples

ReplyQuote
Posted : 28/03/2020 12:17 pm
Cliff
(@cliff)
Admin Admin

Yes, I am aware of what is on their website, we have no control over that or unfortunately, it's accuracy.

ReplyQuote
Posted : 28/03/2020 5:31 pm
Rich bago
(@richbago)
Member

FrSky V2 updates for the ACCST V2 was released just before Chinese new year as a priority for those that had experience odd servo movements. This was mainly only experienced in germany and not heard or reports in the UK so much.

Because of the delay of the corona virus in china, frsky havent got to the point of releasing a ACCST version for the ACCESS radios just yet, so ive your using ACCST receivers in D16 mode on an ACCESS radio you need to maintain the original ACCST firmware on the receivers

ReplyQuote
Posted : 30/03/2020 12:08 pm
Spadeadam
(@spadeadam)
Active Member
Posted by: @richbago

FrSky V2 updates for the ACCST V2 was released just before Chinese new year as a priority for those that had experience odd servo movements. This was mainly only experienced in germany and not heard or reports in the UK so much.

Because of the delay of the corona virus in china, frsky havent got to the point of releasing a ACCST version for the ACCESS radios just yet, so ive your using ACCST receivers in D16 mode on an ACCESS radio you need to maintain the original ACCST firmware on the receivers

Cheers Rich, I will keep an eye open on Frsky's website for the new update/s when they arrive

 

ReplyQuote
Posted : 31/03/2020 4:31 pm
Spadeadam
(@spadeadam)
Active Member

Great news! Frsky has now released the ISRM version 2.1.0 for the Taranis X9D+ 2019 (and SE 2019)

 

ReplyQuote
Posted : 22/04/2020 12:37 am
Share: